> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs Collection Data by Contract Address

> To query all the NFT data (name, floor price, 24hr volume, ...) based on the NFT collection contract address and respective asset platform

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Tip>
  Get `asset_platform_id` and `contract_address` from [NFTs List](/demo/reference/nfts-list).
</Tip>

<Warning>
  Solana NFTs and Art Blocks are not supported for this endpoint. Use [NFTs Collection Data by ID](/demo/reference/nfts-id) instead.
</Warning>

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.nfts.contract.getContractAddress('0xBd3531dA5CF5857e7CfAA92426877b022e612cf8', {
    asset_platform_id: 'ethereum',
  });

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.nfts.contract.get_contract_address(
    "0xBd3531dA5CF5857e7CfAA92426877b022e612cf8",
    asset_platform_id="ethereum",
  )

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /nfts/{asset_platform_id}/contract/{contract_address}
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /nfts/{asset_platform_id}/contract/{contract_address}:
    get:
      summary: NFTs Collection Data by Contract Address
      description: >-
        To query all the NFT data (name, floor price, 24hr volume, ...) based on
        the NFT collection contract address and respective asset platform
      operationId: nfts-contract-address
      parameters:
        - name: asset_platform_id
          in: path
          required: true
          description: |-
            Asset platform ID. 
            *refers to [`/asset_platforms`](/reference/asset-platforms-list).
          schema:
            type: string
            default: ethereum
        - name: contract_address
          in: path
          required: true
          description: Contract address of the NFT collection.
          schema:
            type: string
            default: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
      responses:
        '200':
          description: NFT collection data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTData'
              example:
                id: pudgy-penguins
                web_slug: pudgy-penguins
                contract_address: '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
                asset_platform_id: ethereum
                name: Pudgy Penguins
                symbol: PPG
                image:
                  small: >-
                    https://coin-images.coingecko.com/nft_contracts/images/38/small/pudgy.jpg?1730778323
                  small_2x: >-
                    https://coin-images.coingecko.com/nft_contracts/images/38/small_2x/pudgy.jpg?1730778323
                banner_image: >-
                  https://coin-images.coingecko.com/nft_contracts/images/38/pudgy-penguins-banner.jpg?1730778702
                description: >-
                  <h3>What Is the Pudgy Penguins NFT Collection?</h3>


                  <p>Pudgy Penguins is a collection of 8,888 unique NFTs
                  featuring cute cartoon penguins, which are generated from a
                  collection of 150 different hand-drawn traits.
                native_currency: ethereum
                native_currency_symbol: ETH
                market_cap_rank: 3
                floor_price:
                  native_currency: 4.67
                  usd: 9708.85
                market_cap:
                  native_currency: 41507
                  usd: 86292262
                volume_24h:
                  native_currency: 28.01
                  usd: 58232
                floor_price_in_usd_24h_percentage_change: -1.78233
                floor_price_24h_percentage_change:
                  usd: -1.782332967792004
                  native_currency: -0.6361858762952403
                market_cap_24h_percentage_change:
                  usd: -1.782332967792065
                  native_currency: -0.6361858762952404
                volume_24h_percentage_change:
                  usd: -41.588610680147845
                  native_currency: -40.90698133583369
                number_of_unique_addresses: 5174
                number_of_unique_addresses_24h_percentage_change: -0.01932
                volume_in_usd_24h_percentage_change: -41.58861
                total_supply: 8888
                one_day_sales: 6
                one_day_sales_24h_percentage_change: -40
                one_day_average_sale_price: 4.668316666666667
                one_day_average_sale_price_24h_percentage_change: -1.511635559722812
                links:
                  homepage: https://www.pudgypenguins.com/
                  twitter: https://twitter.com/pudgypenguins
                  discord: https://discord.gg/pudgypenguins
                floor_price_7d_percentage_change:
                  usd: -2.6085983246414655
                  native_currency: -1.1974800093036855
                floor_price_14d_percentage_change:
                  usd: -24.816051386825123
                  native_currency: -16.157991023339317
                floor_price_30d_percentage_change:
                  usd: -20.72768500482924
                  native_currency: -12.366254928188072
                floor_price_60d_percentage_change:
                  usd: 15.176366939745344
                  native_currency: 13.07508549033547
                floor_price_1y_percentage_change:
                  usd: -60.37112564100154
                  native_currency: -51.85567113402062
                explorers:
                  - name: Etherscan
                    link: >-
                      https://etherscan.io/token/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8
                  - name: Ethplorer
                    link: >-
                      https://ethplorer.io/address/0xBd3531dA5CF5857e7CfAA92426877b022e612cf8
                user_favorites_count: 10135
                ath:
                  native_currency: 36.33
                  usd: 145728
                ath_change_percentage:
                  native_currency: -87.1456099642169
                  usd: -93.3388047739623
                ath_date:
                  native_currency: '2024-12-17T07:50:05.897Z'
                  usd: '2024-12-17T08:35:07.390Z'
components:
  schemas:
    NFTData:
      type: object
      required:
        - id
        - web_slug
        - contract_address
        - asset_platform_id
        - name
        - symbol
        - image
        - banner_image
        - description
        - native_currency
        - native_currency_symbol
        - market_cap_rank
        - floor_price
        - market_cap
        - volume_24h
        - floor_price_in_usd_24h_percentage_change
        - floor_price_24h_percentage_change
        - market_cap_24h_percentage_change
        - volume_24h_percentage_change
        - number_of_unique_addresses
        - number_of_unique_addresses_24h_percentage_change
        - volume_in_usd_24h_percentage_change
        - total_supply
        - one_day_sales
        - one_day_sales_24h_percentage_change
        - one_day_average_sale_price
        - one_day_average_sale_price_24h_percentage_change
        - links
        - floor_price_7d_percentage_change
        - floor_price_14d_percentage_change
        - floor_price_30d_percentage_change
        - floor_price_60d_percentage_change
        - floor_price_1y_percentage_change
        - explorers
        - user_favorites_count
        - ath
        - ath_change_percentage
        - ath_date
      properties:
        id:
          type: string
          description: NFT collection ID
        web_slug:
          type: string
          description: NFT collection web slug
        contract_address:
          type: string
          description: NFT collection contract address
        asset_platform_id:
          type: string
          description: NFT collection asset platform ID
        name:
          type: string
          description: NFT collection name
        symbol:
          type: string
          description: NFT collection symbol
        image:
          type: object
          description: NFT collection image URLs
          properties:
            small:
              type: string
            small_2x:
              type: string
        banner_image:
          type: string
          description: NFT collection banner image URL
        description:
          type: string
          description: NFT collection description
        native_currency:
          type: string
          description: NFT collection native currency
        native_currency_symbol:
          type: string
          description: NFT collection native currency symbol
        market_cap_rank:
          type: integer
          nullable: true
          description: NFT collection market cap rank
        floor_price:
          type: object
          description: NFT collection floor price
          properties:
            native_currency:
              type: number
            usd:
              type: number
        market_cap:
          type: object
          description: NFT collection market cap
          properties:
            native_currency:
              type: number
            usd:
              type: number
        volume_24h:
          type: object
          description: NFT collection volume in 24 hours
          properties:
            native_currency:
              type: number
            usd:
              type: number
        floor_price_in_usd_24h_percentage_change:
          type: number
          description: NFT collection floor price in USD 24 hours percentage change
        floor_price_24h_percentage_change:
          type: object
          description: NFT collection floor price 24 hours percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        market_cap_24h_percentage_change:
          type: object
          description: NFT collection market cap 24 hours percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        volume_24h_percentage_change:
          type: object
          description: NFT collection volume in 24 hours percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        number_of_unique_addresses:
          type: number
          description: Number of unique addresses owning the NFTs
        number_of_unique_addresses_24h_percentage_change:
          type: number
          description: Number of unique addresses 24 hours percentage change
        volume_in_usd_24h_percentage_change:
          type: number
          description: NFT collection volume in USD 24 hours percentage change
        total_supply:
          type: number
          description: NFT collection total supply
        one_day_sales:
          type: number
          nullable: true
          description: NFT collection one day sales
        one_day_sales_24h_percentage_change:
          type: number
          description: NFT collection one day sales 24 hours percentage change
        one_day_average_sale_price:
          type: number
          nullable: true
          description: NFT collection one day average sale price
        one_day_average_sale_price_24h_percentage_change:
          type: number
          description: NFT collection one day average sale price 24 hours percentage change
        links:
          type: object
          description: NFT collection links
          properties:
            homepage:
              type: string
            twitter:
              type: string
            discord:
              type: string
        floor_price_7d_percentage_change:
          type: object
          description: NFT collection floor price 7 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_14d_percentage_change:
          type: object
          description: NFT collection floor price 14 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_30d_percentage_change:
          type: object
          description: NFT collection floor price 30 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_60d_percentage_change:
          type: object
          description: NFT collection floor price 60 days percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        floor_price_1y_percentage_change:
          type: object
          description: NFT collection floor price 1 year percentage change
          properties:
            usd:
              type: number
            native_currency:
              type: number
        explorers:
          type: array
          description: NFT collection block explorer links
          items:
            type: object
            properties:
              name:
                type: string
              link:
                type: string
        user_favorites_count:
          type: integer
          description: NFT collection user favorites count
        ath:
          type: object
          description: NFT collection all time highs
          properties:
            native_currency:
              type: number
            usd:
              type: number
        ath_change_percentage:
          type: object
          description: NFT collection all time highs change percentage
          properties:
            native_currency:
              type: number
            usd:
              type: number
        ath_date:
          type: object
          description: NFT collection all time highs date
          properties:
            native_currency:
              type: string
              format: date-time
            usd:
              type: string
              format: date-time
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````